Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::POAManager Interface Reference

`#include <POAManagerC.h>`

Inheritance diagram for PortableServer::POAManager:

[legend]
Collaboration diagram for PortableServer::POAManager:

[legend]
List of all members.

## Public Types
typedef POAManager_ptr | _ptr_type
typedef POAManager_var | _var_type
typedef State & | State_out
enum | State { HOLDING, ACTIVE, DISCARDING, INACTIVE }
enum | State { HOLDING, ACTIVE, DISCARDING, INACTIVE }
## Public Member Functions
void | activate () raises (AdapterInactive)
void | hold_requests (in boolean wait_for_completion) raises (AdapterInactive)
void | discard_requests (in boolean wait_for_completion) raises (AdapterInactive)
void | deactivate (in boolean etherealize_objects, in boolean wait_for_completion) raises (AdapterInactive)
State | get_state ()
virtual void | activate ()=0 throw ( CORBA::SystemException, ::PortableServer::POAManager::AdapterInactive )
virtual void | hold_requests (::CORBA::Boolean wait_for_completion)=0 throw ( CORBA::SystemException, ::PortableServer::POAManager::AdapterInactive )
virtual void | discard_requests (::CORBA::Boolean wait_for_completion)=0 throw ( CORBA::SystemException, ::PortableServer::POAManager::AdapterInactive )
virtual void | deactivate (::CORBA::Boolean etherealize_objects,::CORBA::Boolean wait_for_completion)=0 throw ( CORBA::SystemException, ::PortableServer::POAManager::AdapterInactive )
virtual ::PortableServer::POAManager::State | get_state ()=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
POAManager_ptr | _duplicate (POAManager_ptr obj)
void | _tao_release (POAManager_ptr obj)
POAManager_ptr | _narrow (CORBA::Object_ptr obj)
POAManager_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
POAManager_ptr | _nil (void)
## Static Public Attributes
::CORBA::TypeCode_ptr const | _tc_AdapterInactive
::CORBA::TypeCode_ptr const | _tc_State
## Protected Member Functions
| POAManager (void)
virtual | ~POAManager (void)
## Private Member Functions
| POAManager (const POAManager &)
void | operator= (const POAManager &)

## Member Typedef Documentation

typedef POAManager_ptr PortableServer::POAManager::_ptr_type

| Reimplemented from CORBA::Object.

typedef POAManager_var PortableServer::POAManager::_var_type

| Reimplemented from CORBA::Object.

typedef State& PortableServer::POAManager::State_out

## Member Enumeration Documentation

enum PortableServer::POAManager::State

  | Enumeration values:
  HOLDING |
  ACTIVE |
  DISCARDING |
  INACTIVE |

enum PortableServer::POAManager::State

  | Enumeration values:
  HOLDING |
  ACTIVE |
  DISCARDING |
  INACTIVE |

## Constructor & Destructor Documentation

PortableServer::POAManager::POAManager | ( | void |  | ) | `[protected]`

PortableServer::POAManager::~POAManager | ( | void |  | ) | `[protected, virtual]`

PortableServer::POAManager::POAManager | ( | const POAManager & |  | ) | `[private]`

## Member Function Documentation

PortableServer::POAManager_ptr PortableServer::POAManager::_duplicate | ( | POAManager_ptr | obj | ) | `[static]`

const char * PortableServer::POAManager::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean PortableServer::POAManager::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Reimplemented from CORBA::Object.

POAManager_ptr PortableServer::POAManager::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Reimplemented from CORBA::Object.

POAManager_ptr PortableServer::POAManager::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void PortableServer::POAManager::_tao_release | ( | POAManager_ptr | obj | ) | `[static]`

POAManager_ptr PortableServer::POAManager::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

virtual void PortableServer::POAManager::activate | ( |  | ) | throw ( CORBA::SystemException, ::PortableServer::POAManager::AdapterInactive )`[pure virtual]`

| Implemented in TAO_POA_Manager.

void PortableServer::POAManager::activate | ( |  | ) | raises (AdapterInactive)

| Implemented in TAO_POA_Manager.

virtual void PortableServer::POAManager::deactivate | ( | ::CORBA::Boolean | etherealize_objects,
|  | ::CORBA::Boolean | wait_for_completion
| ) | throw ( CORBA::SystemException, ::PortableServer::POAManager::AdapterInactive )`[pure virtual]`

void PortableServer::POAManager::deactivate | ( | in boolean | etherealize_objects,
|  | in boolean | wait_for_completion
| ) | raises (AdapterInactive)

virtual void PortableServer::POAManager::discard_requests | ( | ::CORBA::Boolean | wait_for_completion | ) | throw ( CORBA::SystemException, ::PortableServer::POAManager::AdapterInactive )`[pure virtual]`

void PortableServer::POAManager::discard_requests | ( | in boolean | wait_for_completion | ) | raises (AdapterInactive)

virtual ::PortableServer::POAManager::State PortableServer::POAManager::get_state | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA_Manager.

State PortableServer::POAManager::get_state | ( |  | ) |

| Implemented in TAO_POA_Manager.

virtual void PortableServer::POAManager::hold_requests | ( | ::CORBA::Boolean | wait_for_completion | ) | throw ( CORBA::SystemException, ::PortableServer::POAManager::AdapterInactive )`[pure virtual]`

void PortableServer::POAManager::hold_requests | ( | in boolean | wait_for_completion | ) | raises (AdapterInactive)

CORBA::Boolean PortableServer::POAManager::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void PortableServer::POAManager::operator= | ( | const POAManager & |  | ) | `[private]`

## Member Data Documentation

CORBA::TypeCode_ptr const PortableServer::POAManager::_tc_AdapterInactive`[static]`

| Initial value:
      &_tao_tc_PortableServer_POAManager_AdapterInactive

CORBA::TypeCode_ptr const PortableServer::POAManager::_tc_State`[static]`

| Initial value:
      &_tao_tc_PortableServer_POAManager_State

The documentation for this interface was generated from the following files:

- POAManager.pidl
- POAManagerC.h
- POAManagerC.cpp